﻿using Celeste;
using Celeste.Mod;
using Microsoft.Xna.Framework;
using Monocle;
using MonoMod.Utils;

namespace TransBerry {
    public class TransBerryModule : EverestModule {
        public override void Load() {
            On.Celeste.Strawberry.Added += Strawberry_Added;
            On.Celeste.StrawberryPoints.Update += StrawberryPoints_Update;
        }

        public override void Unload() {
            On.Celeste.Strawberry.Added -= Strawberry_Added;
            On.Celeste.StrawberryPoints.Update -= StrawberryPoints_Update;
        }

        private void Strawberry_Added(On.Celeste.Strawberry.orig_Added orig, Strawberry self, Scene scene) {
            orig(self, scene);
            new DynData<Strawberry>(self).Get<BloomPoint>("bloom").Alpha *= 0.2f;
        }

        private void StrawberryPoints_Update(On.Celeste.StrawberryPoints.orig_Update orig, StrawberryPoints self) {
            orig(self);
            new DynData<StrawberryPoints>(self).Get<Sprite>("sprite").Color = Color.White;
        }
    }
}
